OpenNMS API 1.2.9

## org.opennms.netmgt.poller.pollables
Class PollableNode.Lock

    java.lang.Object
      org.opennms.netmgt.poller.pollables.PollableNode.Lock

Enclosing class:
  PollableNode

public class PollableNode.Lock
extends java.lang.Object

Represents a Lock

Author:
  brozow

Field Summary
`(package private) int` `m_obtainCount`
`(package private) java.lang.Thread` `m_owner`

Constructor Summary
`PollableNode.Lock()`

Method Summary
`boolean` `isLockAvailable()`
`void` `obtain()`
`void` `obtain(long timeout)`
`void` `release()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_owner

    java.lang.Thread m_owner

### m_obtainCount

    int m_obtainCount

Constructor Detail

### PollableNode.Lock

    public PollableNode.Lock()

Method Detail

### obtain

    public void obtain()

### obtain

    public void obtain(long timeout)

### release

    public void release()

### isLockAvailable

    public boolean isLockAvailable()

  Returns:

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.